## mimenc mimenc — MSN Messenger compatible Mimic video encoder element |

## Synopsis

                        GstMimEnc;

## Properties

      "paused-mode"              gboolean              : Read / Write

## Description

The MIMIC codec is used by MSN Messenger's webcam support. It creates the TCP header for the MIMIC codec.

When using it to communicate directly with MSN Messenger, if the sender wants to stop sending, he has to send a special buffer every 4 seconds. When the "paused-mode" property is set to TRUE, if the element receives no buffer on its sink pad for 4 seconds, it will produced a special paused frame and will continue doing so every 4 seconds until a new buffer is u received on its sink pad.

Its fourcc is ML20.

## Details

### GstMimEnc

    typedef struct {
      GstElement element;

      GstPad *sinkpad, *srcpad;

      /* Protected by the object lock */
      MimCtx *enc;

      MimicResEnum res;
      gint buffer_size;
      guint32 frames;
      guint16 height, width;

      gboolean paused_mode;
      GstSegment segment;
      gboolean need_newsegment;
      GstClockTime last_buffer;
      GstClockID clock_id;
      gboolean stop_paused_mode;
    } GstMimEnc;

## Property Details

### The `"paused-mode"` property

      "paused-mode"              gboolean              : Read / Write

If enabled, empty frames will be generated every 4 seconds when no data is received.

Default value: FALSE

## See Also

mimdec